summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog6
-rw-r--r--conform/conformtest.pl11
-rw-r--r--conform/run-conformtest.sh5
3 files changed, 13 insertions, 9 deletions
diff --git a/ChangeLog b/ChangeLog
index c2266e280c..b65061f532 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2012-03-21 Thomas Schwinge <thomas@codesourcery.com>
+
+ * conform/conformtest.pl: Handle --tmpdir argument, defaulting to /tmp.
+ * conform/run-conformtest.sh: Pass --tmpdir argument when invoking
+ conformtest.pl
+
2012-03-21 Joseph Myers <joseph@codesourcery.com>
* NOTES: Remove.
diff --git a/conform/conformtest.pl b/conform/conformtest.pl
index 6a780203ce..83650c2454 100644
--- a/conform/conformtest.pl
+++ b/conform/conformtest.pl
@@ -3,11 +3,11 @@
use Getopt::Long;
use POSIX;
+$standard = "XOPEN2K8";
$CC = "gcc";
-
-$standard="XOPEN2K8";
+$tmpdir = "/tmp";
GetOptions ('headers=s' => \@headers, 'standard=s' => \$standard,
- 'flags=s' => \$flags, 'cc=s' => \$CC);
+ 'flags=s' => \$flags, 'cc=s' => \$CC, 'tmpdir=s' => \$tmpdir);
@headers = split(/,/,join(',',@headers));
# List of the headers we are testing.
@@ -84,11 +84,6 @@ while ($#knownproblems >= 0) {
$isknown{pop (@knownproblems)} = 1;
}
-$uid = getuid();
-($pwname,$pwpasswd,$pwuid,$pwgid,
- $pwquota,$pwcomment,$pwgcos,$pwdir,$pwshell,$pwexpire) = getpwuid($uid);
-$tmpdir = "$pwdir";
-
$verbose = 1;
$total = 0;
diff --git a/conform/run-conformtest.sh b/conform/run-conformtest.sh
index d83aa799d4..c82fbcb5a4 100644
--- a/conform/run-conformtest.sh
+++ b/conform/run-conformtest.sh
@@ -5,6 +5,9 @@ perl="$2"
cc="$3"
includes="$4"
+scratch=${objpfx}scratch
+mkdir -p "$scratch"
+
standards=("ISO" "ISO99" "ISO11" "POSIX" "XPG3" "XPG4" "UNIX98"
"XOPEN2K" "XOPEN2K8" "POSIX2008")
@@ -13,7 +16,7 @@ exitval=0
for s in ${standards[*]}; do
echo -n $s...
e=0
- if ! $perl conformtest.pl --cc="$cc" --flags="$includes" --standard=$s > ${objpfx}conform-$s.out; then
+ if ! $perl conformtest.pl --tmpdir="$scratch" --cc="$cc" --flags="$includes" --standard=$s > ${objpfx}conform-$s.out; then
e=1
fi
printf "\n%s\n" $s >> ${objpfx}run-conformtest.out